glab(1)

NAME
glab-runner-update - Update a GitLab CI/CD runner.

SYNOPSIS
glab runner update [flags]

DESCRIPTION
Updates settings for a GitLab CI/CD runner. Use flags to change the runner's configuration, such as its pause state.

The following roles and access levels are required:

•   Maintainer or Owner role for project runners.

•   Owner role for group runners.

•   Administrator access for instance runners.

OPTIONS
--pause[=]
    Pause the runner

--unpause[=]
    Resume a paused runner

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Pause a runner
    $ glab runner update <runner-id> --pause
    # Unpause a runner
    $ glab runner update <runner-id> --unpause
    # Update on another host
    $ glab runner update <runner-id> --pause

SEE ALSO
glab-runner(1)